#### simple vagrant machine to test ansible via cli command

Vagrant.configure("2") do |config|
    #Use the same key fir each vagrant
    config.ssh.insert_key = false
  
    #Adervice VM
    config.vm.define "ansible_cli" do |as|
        as.vm.box="ubuntu/jammy64"
        as.vm.hostname="ansible"
        as.vm.network "private_network", ip: "192.168.56.20"
        #as.vm.network "forwarded_port", guest: 22, host: 2210
        as.vm.provider "virtualbox" do |vb|
            vb.memory="512"
            vb.cpus=1
        end
    end
end